summaryrefslogtreecommitdiffstats
path: root/source/xap/gnuchess
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/gnuchess')
-rw-r--r--source/xap/gnuchess/eboard.png16.diff16
-rwxr-xr-xsource/xap/gnuchess/gnuchess.SlackBuild18
-rw-r--r--source/xap/gnuchess/xboard.conf.diff (renamed from source/xap/gnuchess/xboard.conf.in.diff)8
3 files changed, 29 insertions, 13 deletions
diff --git a/source/xap/gnuchess/eboard.png16.diff b/source/xap/gnuchess/eboard.png16.diff
new file mode 100644
index 000000000..f5743cdd9
--- /dev/null
+++ b/source/xap/gnuchess/eboard.png16.diff
@@ -0,0 +1,16 @@
+--- ./cimg.cc.orig 2008-02-22 09:51:22.000000000 -0600
++++ ./cimg.cc 2015-03-23 11:10:46.570421240 -0500
+@@ -94,11 +94,11 @@
+ ct == PNG_COLOR_TYPE_GRAY_ALPHA)
+ png_set_gray_to_rgb(pngp);
+
+- alloc(pngp->width,pngp->height);
++ alloc(png_get_image_width(pngp, infp), png_get_image_height(pngp, infp));
+ if (!ok) { fclose(f); return; }
+ ok = 0;
+
+- for(i=0;i<pngp->height;i++) {
++ for(i=0;i<png_get_image_height(pngp, infp);i++) {
+ png_read_row(pngp, (png_bytep) (&data[i*rowlen]), NULL);
+ }
+
diff --git a/source/xap/gnuchess/gnuchess.SlackBuild b/source/xap/gnuchess/gnuchess.SlackBuild
index 46bc29e0d..4e2fa415e 100755
--- a/source/xap/gnuchess/gnuchess.SlackBuild
+++ b/source/xap/gnuchess/gnuchess.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,16 +21,16 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERGNUCHESS=6.0.3
+VERGNUCHESS=6.2.2
VERSJENG=11.2
VEREBOARD=1.1.1
-VERXBOARD=4.7.1
-BUILD=${BUILD:-2}
+VERXBOARD=4.8.0
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -39,8 +39,8 @@ fi
NUMJOBS=${NUMJOBS:-" -j7 "}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
@@ -71,6 +71,7 @@ find . \
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --mandir=/usr/man \
--infodir=/usr/info \
--build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
@@ -112,6 +113,7 @@ tar xvf $CWD/eboard-$VEREBOARD.tar.bz2 || exit 1
cd eboard-$VEREBOARD || exit 1
zcat $CWD/eboard.assert.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/eboard.ldl.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/eboard.png16.diff.gz | patch -p1 --verbose || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -136,7 +138,7 @@ cd $TMP
rm -rf xboard-$VERXBOARD
tar xvf $CWD/xboard-$VERXBOARD.tar.?z* || exit 1
cd xboard-$VERXBOARD || exit 1
-zcat $CWD/xboard.conf.in.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/xboard.conf.diff.gz | patch -p1 --verbose || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/xap/gnuchess/xboard.conf.in.diff b/source/xap/gnuchess/xboard.conf.diff
index 488813800..160ce4fa1 100644
--- a/source/xap/gnuchess/xboard.conf.in.diff
+++ b/source/xap/gnuchess/xboard.conf.diff
@@ -1,14 +1,12 @@
---- ./xboard.conf.in.orig 2013-02-20 23:59:30.000000000 -0600
-+++ ./xboard.conf.in 2013-03-19 21:39:17.377182426 -0500
-@@ -67,12 +67,12 @@
+--- ./xboard.conf.orig 2015-03-20 13:32:54.035406604 -0500
++++ ./xboard.conf 2015-03-20 13:35:24.433417456 -0500
+@@ -73,11 +73,11 @@
;
; Engines & adjudicatons in engine-engine games
;
--firstChessProgram fairymax
---secondChessProgram fairymax
--firstChessProgramNames {fairymax
+-firstChessProgram gnuchess
-+-secondChessProgram gnuchess
+-firstChessProgramNames {"GNU Chess" -fcp gnuchess
+fairymax
"Fruit 2.1" -fcp fruit -fUCI